Skip to main content
POST
/
api
/
v1
/
employees
/
{employee_id}
/
member_requests
/
open_enrollment
Create a Open Enrollment Member Request
curl --request POST \
  --url https://fulfillment.noyo.com/api/v1/employees/{employee_id}/member_requests/open_enrollment \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "coverages": [
    {
      "carrier_config": {},
      "carrier_id": "9a0a7437-4097-4251-9e71-85384c0eb1c9",
      "created": 1557512389,
      "lines_of_coverage": {
        "medical": {
          "adding_coverage": [
            {
              "id": "fd62665c-0846-4e9d-bd29-80779b5f685c",
              "member_type": "dependent",
              "plan_id": "b988cd26-121a-4dd6-b0be-09399f6ecc0a"
            }
          ]
        }
      },
      "modified": 1564440756,
      "signature_date": "2022-01-15"
    }
  ]
}
'
{
  "body": {
    "coverages": [
      {
        "carrier_config": {},
        "carrier_id": "9a0a7437-4097-4251-9e71-85384c0eb1c9",
        "lines_of_coverage": {
          "medical": {
            "adding_coverage": [
              {
                "id": "fd62665c-0846-4e9d-bd29-80779b5f685c",
                "member_type": "dependent",
                "plan_id": "b988cd26-121a-4dd6-b0be-09399f6ecc0a"
              }
            ]
          }
        },
        "signature_date": "2022-01-15"
      }
    ]
  },
  "employee_id": "30b74a44-d5b1-4123-a7a4-6d3aec251ba4",
  "id": "f4517b87-275a-42e1-85e5-47ea6ab5312b",
  "request_type": "open_enrollment",
  "status": "processing",
  "transactions": [
    "579952dd-9a66-4587-a4f7-72a63bf9ec86"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.noyo.com/llms.txt

Use this file to discover all available pages before exploring further.

The Member Request workflow is now deprecated in favor of using Member Snapshot

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

employee_id
string<uuid>
required

The unique identifier of the employee related to the member request

Example:

"30b74a44-d5b1-4123-a7a4-6d3aec251ba4"

Body

application/json
coverages
object[]
required

List of coverage change actions to complete with a set of carriers

Minimum array length: 1
event
object

Details about the eligible open enrollment event

Response

201 - application/json

Successful Response - Returns the new Member Request

body
object
required

Data required to execute a member request, varies depending on the request type

created
integer
required

The date the record was created

employee_id
string<uuid>
required
read-only

Unique identifier of the employee in Noyo

id
string<uuid>
required

Unique identifier of the record in Noyo

modified
integer
required

The date the record was last updated

request_type
enum<string>
required

Transaction type for the member request

Available options:
demographic,
new_hire,
termination,
open_enrollment,
qualifying_life_event,
enrollment_snapshot,
cobra_enrollment,
cobra_termination,
cobra_open_enrollment,
cobra_qualifying_life_event
result
object
required

Result from executing the member request, varies depending on the request type

status
enum<string>
required

Status of the member request

Available options:
processing,
completed,
failed,
canceled
version
string<uuid>
required

Current version of the record

completed
integer
read-only

Timestamp indicating when a member request was marked as completed

transactions
string<uuid>[]

List of unique identifiers of all associated member transactions in Noyo